#1452 Add support for libproxy

closed-duplicate
nobody
None
5
2010-08-29
2010-06-16
Anonymous
No

libproxy is a library that provides automatic proxy configuration management, it's usage greatly simplifies proxy configuration in XChat. For example, it's able to detect whether GNOME or KDE is running, and fetch the configuration from there, as well as environment variables, DConf, and other sources can be configured as modules.

In order to maintain the current proxy configurations, nothing will change unless the user selects the "Auto" proxy type.

Discussion

  • Felipe Contreras

    Actually, the patch is mine... I forgot to login.

     
  • Dominique Leuenberger

    Instead of using foo:// in the spec I would suggest using irc://
    After all this is the protocol / scheme xchat is using for connecting to any service.

     
  • Felipe Contreras

    @dimstar: I would rather remove the "foo://" completely but at least libproxy on my F13 doesn't work without that.

    But yeah, "irc://" is better, although I don't think it makes sense to submit a new patch, some dev can change the oneliner (in case there are no more comments), right?

     
  • Felipe Contreras

    Since I'm not able to attach any new file here I create a new one: bug #3017821.

     
  • Felipe Contreras

    Can somebody close this?

     
  • Brian Evans

    Brian Evans - 2010-08-29
    • status: open --> closed-duplicate
     
  • Brian Evans

    Brian Evans - 2010-08-29

    Closing as duplicate, see #3017821 for continuation.

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:

JavaScript is required for this form.





No, thanks